import { FormatAssembly, FormatCodeWithClangFormat, FormatKotlin, FormatPython, FormatRuby, FormatRust, FormatSqlWithContent, FormatSwift } from '../../../../code/type/index.js';
export declare function buildCommandToFormatCodeWithClangFormat(input: FormatCodeWithClangFormat): import("../../../../code/type/index.js").Command[];
export declare function formatSqlWithContent(input: FormatSqlWithContent): string;
export declare function buildCommandToFormatKotlin(input: FormatKotlin): import("../../../../code/type/index.js").Command;
export declare function buildCommandToFormatSwift(input: FormatSwift): import("../../../../code/type/index.js").Command;
export declare function buildCommandToFormatRust(input: FormatRust): import("../../../../code/type/index.js").Command[];
export declare function buildCommandToFormatPython(input: FormatPython): import("../../../../code/type/index.js").Command;
export declare function buildCommandToFormatRuby(input: FormatRuby): import("../../../../code/type/index.js").Command;
export declare function buildCommandToFormatAssembly(input: FormatAssembly): import("../../../../code/type/index.js").Command;
